CSRconnect

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Workstation supported versions

Browser

CSRconnect is designed to operate within today’s standard browser configurations, namely within:

  • Internet Explorer (IE) versions 11 and above
  • Firefox (versions released within the past 24-months)
  • Chrome (versions released within the past 24-months)
  • Safari (versions released within the past 24-months)

With the ongoing ability for users to personally configure their browsers with additional and enhanced settings, such as pop-up blockers, privacy throttles, and other related control, YourCause does not guarantee full browser compatibility (for all configuration possibilities) within the aforementioned browsers, though, commits to put forth all reasonable efforts to provide ongoing compatibly and/or support to ensure that CSRconnect properly functions and/or the best remediated option is communicated to any such employee unable to properly access the application.